Creates Stock Receipt
Sample request:
POST /stockreceipts
{
"source_type": "PO",
"source_id": 1,
"source_item_id": 1,
"source_receipt_item_id": 1,
"product":
{
"id": 124001
},
"outlet":
{
"id": 1
},
"received_quantity": 10,
"buy_price_ex": 100,
"direct_costs_ex": 10.1,
"tax_rate": 1.1
}
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Stock Receipt model
EmptyExample
Response
application/json
Response
Stock Receipt created
StockReceipt
Stock Receipt model
Stock receipt id
Source type Available values: ‘PO’ or ‘ITO’
Source id
represents id of source - can be for either dbo.PO or dbo.tblITO
Source item id
represents id of source item
Source receipt item id
represents id of receipt item
Show Child Parameters
Show Child Parameters
Received quantity (must be > 0)
Buy price ex (must be >= 0)
Direct costs ex
Tax rate
Created on
Headers
Body
Searches Stock Receipts by parameters
Searches Stock Receipts by parameters
Query Parameters
Filter by.
Available field name values: id, source_type, source_id, source_item_id, source_receipt_item_id, product_id, outlet (mapped to Warehouse name), created_on.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,product_id:in:2|432
Order by.
Available field name values: id, source_type, source_id, source_item_id, source_receipt_item_id, product_id, outlet (mapped to Warehouse name), received_quantity, created_on.
Available direction values: asc, desc.
Example: id asc, product_id desc
>= 1<= 100000
>= 1<= 2147483647
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Paging Response with Stock Receipts data
StockReceipt.PagingResponse
Stock Receipt model
Show Child Parameters
Query Parameters
Headers
Gets Stock Receipt by id
Gets Stock Receipt by id
Path Parameters
Stock Receipt id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Stock Receipt
StockReceipt
Stock Receipt model
Stock receipt id
Source type Available values: ‘PO’ or ‘ITO’
Source id
represents id of source - can be for either dbo.PO or dbo.tblITO
Source item id
represents id of source item
Source receipt item id
represents id of receipt item
Show Child Parameters
Show Child Parameters
Received quantity (must be > 0)
Buy price ex (must be >= 0)
Direct costs ex
Tax rate
Created on
Path Parameters
Headers
supplierinvoices
Gets Supplier Invoice by id
Gets Supplier Invoice by id
Path Parameters
Supplier Invoice id
Example:10000
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Supplier Invoice
SupplierInvoice
Suplier Invoice Model
Id
Supplier Invoice Number
Supplier Invoice status
Supplier Invoice notes
Is International Order
Allowed values:ManualCurrency Conversion
Currency multiplier
Rounding Adjustment
Show Child Parameters
Distribute costs by
Direct costs model
Show Child Parameters
Supplier Invoice Purchase Order Receipt Model
Show Child Parameters
Total buy price ex
Total tax
Total buy price inc
Total applied buy price ex
Created on
Show Child Parameters
Modified on
Show Child Parameters
Finalised on
Show Child Parameters
Supplier Invoiced On